Loading...
Searching...
No Matches
coap_proxy_req_t Struct Reference
Libcoap Internal API » Support

`#include <coap_proxy_internal.h>`

Collaboration diagram for coap_proxy_req_t:
[legend]

## Data Fields

coap_pdu_t * | pdu
coap_resource_t * | resource
coap_session_t * | incoming
coap_bin_const_t * | token_used
coap_cache_key_t * | cache_key

## Detailed Description

Definition at line 29 of file coap_proxy_internal.h.

## Field Documentation

## cache_key

coap_cache_key_t* coap_proxy_req_t::cache_key

Definition at line 34 of file coap_proxy_internal.h.

## incoming

coap_session_t* coap_proxy_req_t::incoming

Definition at line 32 of file coap_proxy_internal.h.

## pdu

coap_pdu_t* coap_proxy_req_t::pdu

Definition at line 30 of file coap_proxy_internal.h.

## resource

coap_resource_t* coap_proxy_req_t::resource

Definition at line 31 of file coap_proxy_internal.h.

## token_used

coap_bin_const_t* coap_proxy_req_t::token_used

Definition at line 33 of file coap_proxy_internal.h.

The documentation for this struct was generated from the following file:

- coap_proxy_internal.h